searchNodes=[{"ref":"FritzApi.html","title":"FritzApi","type":"module","doc":"Fritz!Box Home Automation API Client for Elixir"},{"ref":"FritzApi.html#get_device_list_infos/2","title":"FritzApi.get_device_list_infos/2","type":"function","doc":"Get essential information of all smart home devices. Example iex&gt; FritzApi.get_device_list_infos(sid) {:ok, [%FritzApi.Actor{ ain: &quot;687690315761&quot;, fwversion: &quot;03.87&quot;, id: 21, manufacturer: &quot;AVM&quot;, name: &quot;FRITZ!DECT #1&quot;, powermeter: %{energy: 0.475, power: 0.0}, present: true, productname: &quot;FRITZ!DECT 200&quot;, switch: %{ devicelock: false, lock: false, mode: :manual, state: false }, temperature: %{ celsius: 23.5, offset: 0.0 } }]}"},{"ref":"FritzApi.html#get_session_id/3","title":"FritzApi.get_session_id/3","type":"function","doc":"Get a session ID. A valid session ID is required in order to interact with the FritzBox API. Each application should only acquire a single session ID since the number of sessions to a FritzBox is limited. In principle, each session ID has a validity of 60 Minutes whereby the validity period gets extended with every access to the API. However, if any application tries to access the API with an invalid session ID, all other sessions get terminated. Example iex&gt; FritzApi.get_session_id(&quot;admin&quot;, &quot;changeme&quot;) {:ok, &quot;879b972027084f61&quot;}"},{"ref":"FritzApi.html#get_switch_energy/3","title":"FritzApi.get_switch_energy/3","type":"function","doc":"Get the total energy usage (kWh) of the switch. Returns {:ok, nil} if the state is unkown. Example iex&gt; FritzApi.get_switch_energy(sid, &quot;687690315761&quot;) {:ok, 0.475}"},{"ref":"FritzApi.html#get_switch_list/2","title":"FritzApi.get_switch_list/2","type":"function","doc":"Get the actuator identification numbers (AIN) of all known actors. Example iex&gt; FritzApi.get_switch_list(sid, opts) {:ok, [&quot;687690315761&quot;]}"},{"ref":"FritzApi.html#get_switch_name/3","title":"FritzApi.get_switch_name/3","type":"function","doc":"Get the name of the actor. Example iex&gt; FritzApi.get_switch_name(sid, &quot;687690315761&quot;) {:ok, &quot;FRITZ!DECT #1&quot;}"},{"ref":"FritzApi.html#get_switch_power/3","title":"FritzApi.get_switch_power/3","type":"function","doc":"Get the current power consumption (Watt) of the switch. Returns {:ok, nil} if the state is unkown. Example iex&gt; FritzApi.get_switch_power(sid, &quot;687690315761&quot;) {:ok, 0.0}"},{"ref":"FritzApi.html#get_switch_present/3","title":"FritzApi.get_switch_present/3","type":"function","doc":"Get the current connection state of the actor. Returns {:ok, nil} if the connection state is unkown. Example iex&gt; FritzApi.get_switch_present(sid, &quot;687690315761&quot;) {:ok, true}"},{"ref":"FritzApi.html#get_switch_state/3","title":"FritzApi.get_switch_state/3","type":"function","doc":"Get the current switching state. Returns {:ok, nil} if the state is unkown. Example iex&gt; FritzApi.get_switch_state(sid, &quot;687690315761&quot;) {:ok, false}"},{"ref":"FritzApi.html#get_temperature/3","title":"FritzApi.get_temperature/3","type":"function","doc":"Get the last measured temperature (Celsius) of the actor. Returns {:ok, nil} if the temperature could not be measured. Example iex&gt; FritzApi.get_temperature(sid, &quot;687690315761&quot;) {:ok, 23.5}"},{"ref":"FritzApi.html#set_switch_off/3","title":"FritzApi.set_switch_off/3","type":"function","doc":"Turn off the switch. Example iex&gt; FritzApi.set_switch_off(sid, &quot;687690315761&quot;) :ok"},{"ref":"FritzApi.html#set_switch_on/3","title":"FritzApi.set_switch_on/3","type":"function","doc":"Turn on the switch. Example iex&gt; FritzApi.set_switch_on(sid, &quot;687690315761&quot;) :ok"},{"ref":"FritzApi.html#set_switch_toggle/3","title":"FritzApi.set_switch_toggle/3","type":"function","doc":"Toggle the switch. Example iex&gt; FritzApi.set_switch_toggle(sid, &quot;687690315761&quot;) {:ok, :off}"},{"ref":"FritzApi.html#t:opts/0","title":"FritzApi.opts/0","type":"type","doc":"base: The base url of the fritzbox. Defaults to &quot;http://fritz.box&quot; ssl: SSL options supported by the ssl erlang module"},{"ref":"FritzApi.Actor.html","title":"FritzApi.Actor","type":"module","doc":"A smart home actor. Properties: ain: identification of the actor, e.g. &quot;012340000123&quot; or MAC address for network devices fwversion: firmware version of the device id: interal device ID manufacturer: should always be &quot;AVM&quot; productname: product name of the device; nil if undefined / unknown present: indicates whether the devices is connected with the FritzBox; either [true | false | nil] name: name of the device Optional Properties Depending on the device type different properties can be available. Switch state: switching state; either [true | false | nil] mode: :auto if in timer switch mode, otherwise :manual; can also be nil if undefined / unknown lock: state of the shift lock (via UI/API); either [true | false | nil] devicelock: state of the shift lock (via hardware button); either [true | false | nil] Powermeter power: current power consumption (Watts); gets updated roughly every 2 minutes energy: total energy usage (kWh) since first use Temperature celsius: last measured temperature offsset: configured offsset value Alert state: last known alert state; either [true | false | nil] Hkr (Thermostat) Not yet implemented."},{"ref":"FritzApi.Actor.html#t:t/0","title":"FritzApi.Actor.t/0","type":"type","doc":""},{"ref":"FritzApi.Client.html","title":"FritzApi.Client","type":"module","doc":"Stateful API Client that takes care of renewing the session id when needed. It supports the same commands as the FritzApi module. Usage iex&gt; FritzApi.Client.start(&quot;admin&quot;, &quot;changeme&quot;) iex&gt; FritzApi.Client.get_device_list_infos() {:ok, [%{ ain: &quot;687690315761&quot;, fwversion: &quot;03.87&quot;, id: 21, manufacturer: &quot;AVM&quot;, name: &quot;FRITZ!DECT #1&quot;, powermeter: %{energy: 0.475, power: 0.0}, present: true, productname: &quot;FRITZ!DECT 200&quot;, switch: %{ devicelock: false, lock: false, mode: :manual, state: false }, temperature: %{ celsius: 23.5, offset: 0.0 } }]} iex&gt; FritzApi.Client.set_switch_off(&quot;687690315761&quot;) :ok iex&gt; FritzApi.Client.get_temperature(&quot;687690315761&quot;) {:ok, 23.5}"},{"ref":"FritzApi.Client.html#child_spec/1","title":"FritzApi.Client.child_spec/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_device_list_infos/0","title":"FritzApi.Client.get_device_list_infos/0","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_switch_energy/1","title":"FritzApi.Client.get_switch_energy/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_switch_list/0","title":"FritzApi.Client.get_switch_list/0","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_switch_name/1","title":"FritzApi.Client.get_switch_name/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_switch_power/1","title":"FritzApi.Client.get_switch_power/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_switch_present/1","title":"FritzApi.Client.get_switch_present/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_switch_state/1","title":"FritzApi.Client.get_switch_state/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#get_temperature/1","title":"FritzApi.Client.get_temperature/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#set_switch_off/1","title":"FritzApi.Client.set_switch_off/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#set_switch_on/1","title":"FritzApi.Client.set_switch_on/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#set_switch_toggle/1","title":"FritzApi.Client.set_switch_toggle/1","type":"function","doc":""},{"ref":"FritzApi.Client.html#start/1","title":"FritzApi.Client.start/1","type":"function","doc":""},{"ref":"readme.html","title":"fritz_api","type":"extras","doc":"fritz_api Fritz!Box Home Automation API Client for Elixir (documentation)."},{"ref":"readme.html#installation","title":"fritz_api - Installation","type":"extras","doc":"Add fritz_api to your list of dependencies in mix.exs: def deps do [ {:fritz_api, &quot;~&gt; 1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"fritz_api - Usage","type":"extras","doc":"iex&gt; FritzApi.Client.start(&quot;admin&quot;, &quot;changeme&quot;) iex&gt; FritzApi.Client.get_device_list_infos() {:ok, [%FritzApi.Actor{ ain: &quot;687690315761&quot;, fwversion: &quot;03.87&quot;, id: 21, manufacturer: &quot;AVM&quot;, name: &quot;FRITZ!DECT #1&quot;, powermeter: %{energy: 0.475, power: 0.0}, present: true, productname: &quot;FRITZ!DECT 200&quot;, switch: %{ devicelock: false, lock: false, mode: :manual, state: false }, temperature: %{ celsius: 23.5, offset: 0.0 } }]} iex&gt; FritzApi.Client.set_switch_off(&quot;687690315761&quot;) :ok iex&gt; FritzApi.Client.get_temperature(&quot;687690315761&quot;) {:ok, 23.5} Options There are a number of supported options, documented here, that can be added when starting the FritzApi.Client. iex&gt; FritzApi.Client.start(&quot;admin&quot;, &quot;changeme&quot;, [base: &quot;https://192.168.0.1&quot;, ssl: [{:versions, [:&#39;tlsv1.2&#39;]}]]) Starting in Supervision Tree # in your application.ex def start(_type, _args) do children = [ {FritzApi.Client, username: @username, password: @password, opts: @opts} ] # ... end"},{"ref":"readme.html#references","title":"fritz_api - References","type":"extras","doc":"AHA HTTP Interface AVM Technical Note - Session ID"}]